# Class CircularEdge`Unindexed`

GoJS® Diagramming Components
version 3.0.7
by Northwoods Software®

#### Hierarchy

- LayoutEdge
  - CircularEdge

This holds CircularLayout-specific information about Links.

This class inherits from LayoutEdge.

#####
Index

### Constructors

constructor

#####
Inherited Index

### Accessors

LayoutEdge.data
LayoutEdge.fromVertex
LayoutEdge.link
LayoutEdge.network
LayoutEdge.toVertex

### Methods

LayoutEdge.commit
LayoutEdge.getOtherVertex

## Constructors

### constructor

- new CircularEdge(network: CircularNetwork): CircularEdge

- #### Parameters

  - ##### network: CircularNetwork

  #### Returns CircularEdge

Copyright © 1998-2024 by Northwoods Software Corporation.